What's new
PGBlitz.com

Register Now! Find useful tips, Interact /w Community Members and join the part the Best Community on the Internet!

[SOLVED] PGUpgrade issue - Permission denied

zukato

Blitz 1st Class
Donor
PG Version
6.050
Server Type
Remote - VPS
When running pguprade, here is the message I receive

rm: cannot remove '/opt/plexguide/roles/versions/scripts/ver.list': Permission denied
[WARNING]: Unable to set correct type for configuration entry: DEFAULT_LOCAL_TMP



PLAY [localhost] ***********************************************************************************************************

TASK [script] **************************************************************************************************************
Friday 14 September 2018 06:59:36 +0200 (0:00:00.059) 0:00:00.059 ******
fatal: [127.0.0.1]: UNREACHABLE! => {"changed": false, "msg": "Authentication or permission failure. In some cases, you may have been able to authenticate and did not have permissions on the target directory. Consider changing the remote tmp path in ansible.cfg to a path rooted in \"/tmp\". Failed command was: ( umask 77 && mkdir -p \"` echo /home/plex/.ansible/tmp/ansible-tmp-1536901176.67-253220616324534 `\" && echo ansible-tmp-1536901176.67-253220616324534=\"` echo /home/plex/.ansible/tmp/ansible-tmp-1536901176.67-253220616324534 `\" ), exited with result 1", "unreachable": true}
[WARNING]: Could not create retry file '/opt/plexguide/roles/versions/main.retry'. [Errno 13] Permission denied:
u'/opt/plexguide/roles/versions/main.retry'



PLAY RECAP *****************************************************************************************************************
127.0.0.1 : ok=0 changed=0 unreachable=1 failed=0


Friday 14 September 2018 06:59:36 +0200 (0:00:00.044) 0:00:00.104 ******
===============================================================================
script -------------------------------------------------------------------------------------------------------------- 0.04s


And then, it says that my PlexGuide is updated, but it is not. I am stuck on version 6.050

Edit: added Solved to title and changed title for better description
 
Last edited:

Jampher

Blitz 2nd Class
When running pguprade, here is the message I receive

rm: cannot remove '/opt/plexguide/roles/versions/scripts/ver.list': Permission denied
[WARNING]: Unable to set correct type for configuration entry: DEFAULT_LOCAL_TMP



PLAY [localhost] ***********************************************************************************************************

TASK [script] **************************************************************************************************************
Friday 14 September 2018 06:59:36 +0200 (0:00:00.059) 0:00:00.059 ******
fatal: [127.0.0.1]: UNREACHABLE! => {"changed": false, "msg": "Authentication or permission failure. In some cases, you may have been able to authenticate and did not have permissions on the target directory. Consider changing the remote tmp path in ansible.cfg to a path rooted in \"/tmp\". Failed command was: ( umask 77 && mkdir -p \"` echo /home/plex/.ansible/tmp/ansible-tmp-1536901176.67-253220616324534 `\" && echo ansible-tmp-1536901176.67-253220616324534=\"` echo /home/plex/.ansible/tmp/ansible-tmp-1536901176.67-253220616324534 `\" ), exited with result 1", "unreachable": true}
[WARNING]: Could not create retry file '/opt/plexguide/roles/versions/main.retry'. [Errno 13] Permission denied:
u'/opt/plexguide/roles/versions/main.retry'



PLAY RECAP *****************************************************************************************************************
127.0.0.1 : ok=0 changed=0 unreachable=1 failed=0


Friday 14 September 2018 06:59:36 +0200 (0:00:00.044) 0:00:00.104 ******
===============================================================================
script -------------------------------------------------------------------------------------------------------------- 0.04s


And then, it says that my PlexGuide is updated, but it is not. I am stuck on version 6.050
Did you try running it as sudo? I found I had to.
 

zukato

Blitz 1st Class
Donor
Did you try running it as sudo? I found I had to.
It seems to have worked: I don't have the error message any longer. However, when I started PlexGuide, it launched an install of PlexGuide. But everything seems OK now.
 

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Similar threads


Development Donations

 

Top NZB NewsGroups!

Members - Up To a 58% Discount!

Trending

Top